Page MenuHomePhabricator

[M] Update the "results from other language wiki" section to match the new layout and styling.
Open, Needs TriagePublic

Description

This ticket is to update the "results from other language wiki" to follow the new styling and layout.

Current layout

other lang results.png (1×3 px, 540 KB)

Proposed layout
Desktop specs

Special_Search (9).png (800×1 px, 91 KB)

Mobile specs

Special_Search (10).png (800×360 px, 60 KB)

Acceptance Criteria

  • Indicate in the copy that results were not found in the <Language> wikipedia that the user is searching in.
  • Follow the new search results padding and spacing to show these results
  • Shorten the line under the "Showing results from <language wikipedia>" header

QA

Use the following string to trigger the above mention result: オジブワ

Event Timeline

CBogen renamed this task from Update the "results from other language wiki" section to match the new layout and styling. to [M] Update the "results from other language wiki" section to match the new layout and styling..Jun 29 2022, 4:41 PM

Change 815214 had a related patch set uploaded (by Simone Cuomo; author: Simone Cuomo):

[mediawiki/core@master] [WIP] Update the "results from other language wiki" section

https://gerrit.wikimedia.org/r/815214

SimoneThisDot changed the task status from Open to In Progress.Jul 19 2022, 9:05 AM
SimoneThisDot claimed this task.

Change 815214 merged by jenkins-bot:

[mediawiki/core@master] Update the "results from other language wiki" section

https://gerrit.wikimedia.org/r/815214

Change 830613 had a related patch set uploaded (by Matthias Mullie; author: Matthias Mullie):

[mediawiki/core@master] Use container div instead of styling elements individually

https://gerrit.wikimedia.org/r/830613

The project-localized-name-* messages are not designed to be used in a sentence context. They are not inflected and letter casing is not for the sentence context.

This is the reason why there are separate sets of messages, for example search-interwiki-results-*, for different use cases to enable proper localisation. I suggest to evaluate whether the project name must be named in this context, and if so, create a new set of messages. The Language team is happy to advice on i18n issues.

Change 830613 merged by jenkins-bot:

[mediawiki/core@master] Use container divs instead of styling elements individually

https://gerrit.wikimedia.org/r/830613

Etonkovidova changed the task status from In Progress to Open.Tue, Sep 13, 12:19 AM

For @Sneha quick review:
(1) Desktop

Proposed designSpecial:Search on wmf.1
Special_Search (9).png (800×1 px, 91 KB)
Screen Shot 2022-09-20 at 4.54.21 PM.png (1×2 px, 399 KB)

Notes:

  • "Results 20 of ..." the message has never been shown for this type of searches (see the Current layout in the task description).
  • (very minor) The quotation marks wrapping - the opening quotes are left on line and the whole word (with closing quotes) is on the next line. Interesting, that the issue seems to be specific to CJK language - the search term consisting of four elements - オジブワ (I also checked zhwiki for four-element words) will always produce that minor issue with marooned quotation marks.

(2) Mobile (waiting on T318197: [QA task] Compare mobile Special:Search scrolling on wmf.1 and wmf.2 - Resolved)

Mobile Figma mockupMobile wmf.2
Special_Search (10).png (800×360 px, 60 KB)
Screen Shot 2022-09-22 at 3.43.47 PM.png (1×596 px, 157 KB)

Notes:

  • the following element is not displayed on mobile
<p class="mw-search-createlink">
<i>The page "<a href="/w/index.php?title=%E3%82%AA%E3%82%B8%E3%83%96%E3%83%AF&amp;action=edit&amp;redlink=1" class="new" title="オジブワ (page does not exist)">オジブワ</a>" does not exist. You can <a href="/wiki/Wikipedia:Article_wizard" title="Wikipedia:Article wizard">create a draft and submit it for review</a>, or you may create the page "<a href="/w/index.php?title=%E3%82%AA%E3%82%B8%E3%83%96%E3%83%AF&amp;action=edit&amp;redlink=1" class="new" title="オジブワ (page does not exist)">オジブワ</a>" directly.</i></p>
  • "Showing results from ..." label (font-size 1.5 em) looks bigger than in the mobile mockup. Do we have mobile font-size base as 16px instead of 14px on desktop?
  • The horizontal line under "Showing results from ..." is not present on mobile. The line is present on the desktop.

Thanks @Etonkovidova for outlining the issues above. Below are my responses.

Desktop:
Looks good to me overall. No changes required from my end.

  • I was not aware that we don't show page 1 of 20 indication for these type of results. We can leave it as is.
  • The marooned quotation mark would be good to fix but not necessary if it involves lot of work to finish this ticket as this case is not that frequent

Mobile:

  • The create article message was something I added on mobile. It is currently not there. And I believe we would need a new ticket to add it. I remember talking about it @CBogen do you remember if we already have a ticker for this? Regardless we don't have to do add it as part of this ticket.
  • The title "Showing results from...." should be fixed as the font looks a lot bigger than specified in design.
  • Yes the horizontal line should be added
  • Also the results are not left aligned with the title so that needs to be fixed as well.

Mobile:

  • The create article message was something I added on mobile. It is currently not there. And I believe we would need a new ticket to add it. I remember talking about it @CBogen do you remember if we already have a ticker for this? Regardless we don't have to do add it as part of this ticket.

Yes, this is covered in T316400 in the backlog.

  • The title "Showing results from...." should be fixed as the font looks a lot bigger than specified in design.
  • Yes the horizontal line should be added
  • Also the results are not left aligned with the title so that needs to be fixed as well.

@Seddon I'm moving this back to "doing" for the fixes. Feel free to assign to another engineer.

The project-localized-name-* messages are not designed to be used in a sentence context. They are not inflected and letter casing is not for the sentence context.

Yes, this needs to be addressed. I stumbled onto this when updating translations and I can confirm that this cannot be translated so that the result would be gramatically correct and read naturally, or without messing up translations in other contexts. I also wonder if this message change is really needed.